io.vertx.reactivex.ext.mail

## Class MailService

- java.lang.Object
- - io.vertx.reactivex.ext.mail.MailClient
  - - io.vertx.reactivex.ext.mail.MailService

-     public class MailService
      extends MailClient

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MailService>` | `__TYPE_ARG`
    `static String` | `DEFAULT_POOL_NAME` The name of the default pool

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailService(MailService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` close the MailClient
    `static MailService` | `createEventBusProxy(Vertx vertx, String address)` create a proxy of MailService that delegates to the mail service running somewhere else via the event bus
    `boolean` | `equals(Object o)`
    `MailService` | `getDelegate()`
    `int` | `hashCode()`
    `static MailService` | `newInstance(MailService arg)`
    `Single<MailResult>` | `rxSendMail(MailMessage email)` send a single mail via MailClient
    `MailService` | `sendMail(MailMessage email, Handler<AsyncResult<MailResult>> resultHandler)` send a single mail via MailClient
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.mail.MailClient

      `createNonShared, createShared, createShared, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MailService> __TYPE_ARG

    - #### DEFAULT_POOL_NAME

          public static final String DEFAULT_POOL_NAME

      The name of the default pool
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MailService

          public MailService(MailService delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MailClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `MailClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `MailClient`

    - #### getDelegate

          public MailService getDelegate()

      Overrides:
        `getDelegate` in class `MailClient`

    - #### createEventBusProxy

          public static MailService createEventBusProxy(Vertx vertx,
                                                        String address)

      create a proxy of MailService that delegates to the mail service running somewhere else via the event bus
      Parameters:
        `vertx` - the Vertx instance the proxy will be run in
        `address` - the eb address of the mail service running somewhere, default is "vertx.mail"
      Returns:
        MailService instance that can then be used to send multiple mails

    - #### sendMail

          public MailService sendMail(MailMessage email,
                                      Handler<AsyncResult<MailResult>> resultHandler)

      Description copied from class: `MailClient`
      send a single mail via MailClient
      Overrides:
        `sendMail` in class `MailClient`
      Parameters:
        `email` - MailMessage object containing the mail text, from/to, attachments etc
        `resultHandler` - will be called when the operation is finished or it fails (may be null to ignore the result)
      Returns:
        this MailClient instance so the method can be used fluently

    - #### rxSendMail

          public Single<MailResult> rxSendMail(MailMessage email)

      Description copied from class: `MailClient`
      send a single mail via MailClient
      Overrides:
        `rxSendMail` in class `MailClient`
      Parameters:
        `email` - MailMessage object containing the mail text, from/to, attachments etc
      Returns:
        this MailClient instance so the method can be used fluently

    - #### close

          public void close()

      Description copied from class: `MailClient`
      close the MailClient
      Overrides:
        `close` in class `MailClient`

    - #### newInstance

          public static MailService newInstance(MailService arg)

Copyright © 2018 Eclipse. All rights reserved.